Subject: Re: 23.0.60; read-char evaluates to unexpected non-character value

From: Chong Yidong <[email-masked]>
Date: Thu, 14 Aug 2008 15:27:19 -0400

Lawrence Mitchell wrote:

> > When I do:
> >
> >    $ emacs -Q --eval "(insert (format \"%s\" (read-char nil nil 0.1))))"
> >
> > The content of *scratch* is:
> >
> >    7340161
>
> This is due to the following change:
>
> 2008-03-05  Kenichi Handa  <[email-masked]>
>
> 	* lread.c (Fread_char): Resolve modifiers.
> 	(Fread_char_exclusive): Likewise.
>
> It unconditionally resolves modifiers even if read_filtered_event
> returns nil.  The following patch fixes things, I think.

I've checked your patch into CVS.  Thanks for debugging and fixing this.